{
/** @ParserConfig
{
  "ParserConfig": {
    "version": 4,
    "proxies": [
      {
        "connections": [
          "vless://3c947091-138e-4a81-9e03-bda935cbc01a@94.159.109.185:31455?type=tcp\u0026encryption=mlkem768x25519plus.native.0rtt.wYGb9XTMo_lPglTK3ZOSgZp7jqvOEyO8YRe1wbv7qUk\u0026security=reality\u0026pbk=uzkjV67oz0rgw9zQt9yKW92F1PRPtVh9CmRoG8RUzgg\u0026fp=chrome\u0026sni=www.nvidia.com\u0026sid=5a99458f74cadf\u0026spx=%2F\u0026pqv=R3cRrVSwPXTo_vNzTL4yBorOd6Pz2iZnTKVl1YiGBW3lowRC2U-xxww-RbpTePF1C8iFN_CSMWEKgqmp2Dy2GvYvZS4N6LG2KudGZGjhqBGNgnK-Byazv0q08TGOIXzHM5lAFMSQvKnwSrLed0A_m_A5SoBV5lhqjxviIERBhtuAh_3buZgUTuaNGz_FgAx5Jfy4o3vo69ZA6D9RTqMMoTZHEe1e-tlS0QWrh6pbmrAKxYmrZf1ULm_jvrISoX6rW3lBdHAXBFiPEJd-FtXRVG5BLwjJRFpAxTFeah4nTleG4ZvRbf3J94NeKf47wZWKmfKE7hVpcm6TqzNMKmfnNq6PKNMWVgP6vpWXREJYqEdC3zwsGDRew0lt2twaXoAc6lzkqQrNxnBqRz63bkwmg8LWplqHZMrDjP4gisc-Bw8rq6GowCayLkBoQCoXWzju_OVCeuEbhm5uuDQ8jM4DCT0wQecQJTIVKhFSvNa_P1ByRbVuLf0JVXNP0-bg1tczHtTZc1cS9X78SkbkjXM73TTCPMnZzBQSUDPVTrIib4Te3igvDzs5aqRknTBEnlgJR_Krn-c2bTvc2-OV_6plRvOpidkY6wqCEIkS76UC9w8_yFCJpmnQR68ycCB2s_0tcc_dnjlOqj7HbuTe8UkPg2msujw8BhJlkdZriAz-L3N2_cfRv0KRcjTs3auBqG-1N_Jb-tEXT4S7_XRUUT48bC2LpjPH7Bko4cYZpUC2TYWbHO_3_kJHtiTpIbQQ5nydgCgkJ4m-e_E17yHsnVWBCeZUtgPD4nxB0ZLsbhwAB2NvX9lIcRRYvgvFtSwj-yLmE7cnArTfpTbZRfgK6ih-mbYaoVsWaYeX4mXDtxCpuCM4AXOMnNNYZNEM13Scb9PXXwKZSZPYFdNBJAmAiKMQrpSafR8SOMy5fkFIAgeW-fNbyCsYuQNnXsMqtBogzlUreKAKSHKJHHAWHRigh_pfax4ADvtPN4Kk6KfH1ZMwX2AdENmnLScO4_bI-uCA-HxC3MuZ13YXaLBYsNk65k7ascwa0Mrsi_RWp51_tXcVW1FHC3dZYknSQH1731rHzMMk0RQfTvT-xsMBuEvtpTLBXDr5FGWH1cpomISCBMknaIalgRpYVPgbVQjA28Hd1n_jxh_SnHXrJ82CepCrfDNMq3T7rwWv5WIhJC03yfnSd4cuIG4O9asHw6SdvOnZfoSZ1GNk-jGC8kGDD2ZTCPKkFSU146AlNTyZ67gExsrrtwrETtJcEHQXY0o3Qk-iyt_dwhNiiNjrhUmwcHCjPkNeVyuYEtGoawsb_5q0pl4JA6J9kwea_tEXmMP9YnZprl4Ok-xnwbYM_hcdzEpAm70mxr-ZGhUiiXUSGNdTHUezdv1IPoJ38_3cjDj4ViXfmnaOCmjs-rVy_0Fugz_kcMd1tMFVu0DSc_7Lf8AGm50rIuCBNV2lrCfTLYfmSY3MZ0Hqn4H-6I626ku-l-CQtz0YkXUUQPTh73Dz3gGxlYxNsuj8mwkzsXXqW4_UP8_htQAI1kXdXdMxuxNQ9ST_jtv9cVe_lEBqPkDCBoPnRIcOG0PkyEoBD83N_5bmi3-VtG5wdishVk19Yo7ysnUgRmuytcczsnyaE1U0ZZVRjyXlimNnhUFUfDwgU6XqTLxnebl2tIg2A6peWRpJPbkm6KPf9Ui0_n7S5K7Sx7szkGqmks0IOOWmEVXbPd_rmVG65ywt2NTZ1Cn8GLGcFDltrGrdmCfQQ6W6QbTIooPH7rkafQg8m5-VbQ448zPa2bqlX0-TpvdeI7KXuyFNiLhR2iJtempd6sOH4P6-mn3Wmrrr6kDZ4TnwBqg5TUCIgEd9LiAB-mSNTh2L3Z0e6Tvzw5sm-xv5nFIQ9g0Yn82c8WmfkfpnKw7TiLMZSjT4kwMbE4EPTCYpF9jXUInLjMcC8Sx2Mm8MOt_gUfIAlphiq_igB6xFGnBTF_BsY5gDh8VM66Fr3egDOC3hqsLad7Vg7bNaLQHeSOrLX4wbAkNIitHAOWEADXfFohH65kVOSOD3vFOsw54CdzTf0EJPj62vBsVmcL9nA7Hq-Kp2NwUy0uyPMozxEynDJ5_CCDjZFN0CXfiOTVln1fMuWllsvPsk-mZyWBtLTCj0nhF_27U1hipkmMVBZKU27BwqI-v6Vys3s9mtXqVJ7XOtkTXrNaMq2qONBVbaWNa7lfmTnR2_oA8QfjHaUmI3LEgT9QrW0KX0aJid4oF6EkHTOzE9qxWKZt_zHOBt10eWtX6BZk9seLI3hGKE2vf4ehb0Ti9Rm68vweVpbdw1hxduo9By3FAty_ENqv5CZ5RSI-CofC6phVVjJ8oM0EKy1ukr5BZZxXArDZ7IpIdaboRs1jZLELOllh4R_x98k2lgtTnYfemUlXYI35Vf7GvoK1hwLpHDFBAVm46SKDb9FqFAHOdi5E5g1FSJbApfNZAgKO9g09k4dxglKty8GlUJ1Rh5XUvBSAwLIrmnweKLJnVVvEQd6uQD93rBLmVOI5F47xZvEzG2hRwtQnfIZSsy_9lHp_jG0TvzXk3gHv02LddYJzbs5Tg-fHGaPJIRihZErrs77p8lCmfM0yQ\u0026flow=xtls-rprx-vision#VLESS-uip88"
        ],
        "outbounds": [
          {
            "tag": "redvpn",
            "type": "urltest",
            "options": {
              "interrupt_exist_connections": true,
              "interval": "5m",
              "tolerance": 100,
              "url": "https://cp.cloudflare.com/generate_204"
            }
          },
          {
            "tag": "1:auto",
            "type": "urltest",
            "options": {
              "interrupt_exist_connections": true,
              "interval": "5m",
              "tolerance": 100,
              "url": "https://cp.cloudflare.com/generate_204"
            },
            "comment": "local auto WIZARD:auto"
          },
          {
            "tag": "1:select",
            "type": "selector",
            "options": {
              "default": "1:auto",
              "interrupt_exist_connections": true
            },
            "addOutbounds": [
              "1:auto"
            ],
            "comment": "local select WIZARD:selector"
          }
        ],
        "tag_prefix": "1:",
        "expose_group_tags_to_global": true
      },
      {
        "connections": [
          "vmess://ewogICJ2IjogIjIiLAogICJwcyI6ICJWTUVTUy11aXA4OEBtYWlsLnJ1IiwKICAiYWRkIjogIjk0LjE1OS4xMDkuMTg1IiwKICAicG9ydCI6IDQzNzUwLAogICJpZCI6ICI2OTUzOTQ3Mi03NDAzLTQ1NDAtYTg4MC0yNzQ1Y2U5YTg5MzUiLAogICJzY3kiOiAiYWVzLTEyOC1nY20iLAogICJuZXQiOiAidGNwIiwKICAidGxzIjogIm5vbmUiLAogICJ0eXBlIjogIm5vbmUiCn0="
        ],
        "tag_prefix": "2:"
      }
    ],
    "outbounds": [],
    "parser": {
      "reload": "12h",
      "last_updated": "2026-04-14T02:51:49Z"
    }
  }
}
*/
  "dns": {
    "final": "direct_dns_resolver",
    "independent_cache": false,
    "rules": [
      {
        "rule_set": "ru-domains",
        "server": "yandex_doh"
      },
      {
        "server": "google_doh"
      }
    ],
    "servers": [
      {
        "tag": "local_dns_resolver",
        "type": "local"
      },
      {
        "server": "8.8.8.8",
        "server_port": 53,
        "tag": "direct_dns_resolver",
        "type": "udp"
      },
      {
        "domain_resolver": "direct_dns_resolver",
        "path": "/dns-query",
        "server": "dns.google",
        "server_port": 443,
        "tag": "google_doh",
        "type": "https"
      },
      {
        "domain_strategy": "prefer_ipv4",
        "path": "/dns-query",
        "server": "77.88.8.88",
        "server_port": 443,
        "tag": "yandex_doh",
        "type": "https"
      }
    ],
    "strategy": "prefer_ipv4"
  },
  "endpoints": [
    /** @ParserSTART_E */
    /** @ParserEND_E */
  ],
  "experimental": {
    "cache_file": {
      "enabled": true,
      "path": "cache.db"
    },
    "clash_api": {
      "external_controller": "127.0.0.1:9090",
      "secret": "izWSYr8kLWdOux4HmWL2GMAV"
    }
  },
  "inbounds": [
    {
      "address": "172.16.0.1/30",
      "auto_route": true,
      "interface_name": "singbox-tun0",
      "mtu": 1492,
      "stack": "system",
      "strict_route": false,
      "tag": "tun-in",
      "type": "tun"
    }
  ],
  "log": {
    "level": "warn",
    "timestamp": true
  },
  "outbounds": [
    /** @ParserSTART */
	// VLESS-uip88
	{"tag":"1:VLESS-uip88","type":"vless","server":"94.159.109.185","server_port":31455,"uuid":"3c947091-138e-4a81-9e03-bda935cbc01a","flow":"xtls-rprx-vision","tls":{"enabled":true,"server_name":"www.nvidia.com","utls":{"enabled":true,"fingerprint":"chrome"},"reality":{"enabled":true,"public_key":"uzkjV67oz0rgw9zQt9yKW92F1PRPtVh9CmRoG8RUzgg","short_id":"5a99458f74cadf"}}},
	// VMESS-uip88@mail.ru
	{"tag":"2:VMESS-uip88@mail.ru","type":"vmess","server":"94.159.109.185","server_port":43750,"uuid":"69539472-7403-4540-a880-2745ce9a8935","security":"aes-128-gcm"},
	{"tag":"redvpn","type":"urltest","outbounds":["1:VLESS-uip88"],"interrupt_exist_connections":true,"tolerance":100,"url":"https://cp.cloudflare.com/generate_204","interval":"5m"},
	// local auto WIZARD:auto
	{"tag":"1:auto","type":"urltest","outbounds":["1:VLESS-uip88"],"interrupt_exist_connections":true,"interval":"5m","tolerance":100,"url":"https://cp.cloudflare.com/generate_204"},
	// local select WIZARD:selector
	{"tag":"1:select","type":"selector","outbounds":["1:auto","1:VLESS-uip88"],"interrupt_exist_connections":true,"default":"1:auto"},
/** @ParserEND */
    {"tag":"direct-out","type":"direct"}
  ],
  "route": {
    "auto_detect_interface": true,
    "default_domain_resolver": "direct_dns_resolver",
    "final": "direct-out",
    "rule_set": [
      {
        "format": "domain_suffix",
        "rules": [
          {
            "domain_suffix": [
              "ru",
              "xn--p1ai",
              "su"
            ]
          }
        ],
        "tag": "ru-domains",
        "type": "inline"
      }
    ],
    "rules": [
      {
        "action": "resolve",
        "inbound": "tun-in",
        "strategy": "prefer_ipv4"
      },
      {
        "action": "sniff",
        "inbound": "tun-in",
        "timeout": "1s"
      },
      {
        "action": "hijack-dns",
        "protocol": "dns"
      },
      {
        "outbound": "direct-out",
        "rule_set": "ru-domains"
      },
      {
        "outbound": "direct-out",
        "protocol": [
          "bittorrent"
        ]
      },
      {
        "network": [
          "tcp",
          "udp"
        ],
        "outbound": "direct-out",
        "port": [
          3659,
          1935,
          5001,
          5795,
          5796,
          7000,
          7777,
          9000,
          10039,
          10040
        ],
        "port_range": "27000:27100"
      }
    ]
  }
}
